import { DefineApiModule } from '@/api/api'
import { Marking } from '@/api/api-types/marking'

const MarkingApi: DefineApiModule<Marking.ApiMap> = {
  /** 自定义查询 - 抽查 */
  getCustomQueryTasks: '/api/custom/query/page',
  /** 自定义查询 - 保存为快捷查询 */
  setCustomQueryConfig: {
    url: '/api/custom/query/save',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 自定义查询 - 获取快捷查询列表 */
  getCustomQueryConfigList: '/api/custom/query/list',
  /** 删除快捷查询 */
  deleteCustomQuery: '/api/custom/query/remove',
  /** 自定义查询 - 浏览 */
  viewCustomQuery: '/api/custom/query/view',
  /** 自定义查询 - 修改卷型 */
  updateCustomPaperType: '/api/custom/query/create/reference',
  /** 自定义查询 - 修改分数 */
  updateCustomPaperScore: '/api/custom/query/mark',
  /** 查看评分标准 */
  getMarkingStandard: '/api/mark/markstandard',
  /** 获取评卷任务 */
  getMarkingTask: '/api/mark/task',
  /** 清除评卷任务缓存 */
  clearCachedTasks: '/api/mark/clear',
  /** 提交评卷任务 */
  submitMarkTask: {
    url: '/api/mark/submit',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 获取评卷进度 */
  getMarkStatus: '/api/mark/status',
  /** 获取回评历史 */
  getMarkHistory: '/api/mark/remark',
  /** 问题卷列表 */
  getProblemHistory: '/api/problem/history/page',
  /** 问题卷打分 */
  markProblemPaper: '/api/problem/history/mark',
  /** 问题卷浏览 */
  viewProblemPaper: '/api/problem/history/view',
  /** 通过taskId 查询给分记录 */
  getMarkScoreHistoryListWithTask: '/api/mark/history/task',
  /** 打回 */
  rejectMarkHistory: '/api/problem/history/reject',
  rejectCustomQueryTask: '/api/custom/query/reject',
  /** 仲裁卷 */
  getArbitrationList: '/api/arbitration/page',
  /** 仲裁卷打分 */
  markArbitrationPaper: '/api/arbitration/mark',
  /** 仲裁卷浏览 */
  viewArbitrationPaper: '/api/arbitration/view',
  /** 重评卷列表 */
  getReMarkPaperList: '/api/re/mark/page',
  /** 重评卷打分 */
  markReMarkPaper: '/api/re/mark/mark',
  /** 重评卷确认 */
  confirmReMarkPaper: '/api/re/mark/confirm',
  /** 查看培训记录 */
  viewTrainingRecord: '/api/mark/sample/history',
  /** 查看样卷 */
  viewSamplePaper: '/api/mark/rf',
  /** 雷同卷 */
  getSimilarPaperList: '/api/same/paper/page',
  /** 是否雷同 */
  confirmIsSimilar: '/api/same/paper/mark',
  /** 导出雷同卷 */
  exportSimilarPaper: {
    url: '/api/same/paper/export',
    download: true,
    timeout: 0,
  },
  /** 提交雷同卷 */
  submitSimilarPaper: '/api/mark/same',
  viewActiveCheck: '/api/leader/operate/view',
}

export default MarkingApi
