import { DefineApiModule } from '@/api/api'
import { System } from '@/api/api-types/system'

const SystemApi: DefineApiModule<System.ApiMap> = {
  /** 评卷数据导入 */
  importMarkingData: {
    url: '/api/student/import',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
    timeout: 0,
  },
  /** 创建评卷分配表 */
  exportStudentTask: {
    url: '/api/student/task/export',
    download: true,
    timeout: 0,
  },
  /** 获取培训卷RF卷评分标准路径 */
  getImportFilePath: '/api/reference/paper/file/path',
  /** 导入培训卷 */
  importSamplePaper: {
    // url: '/api/reference/paper/import/samp',
    url: '/api/reference/paper/import',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
    timeout: 0,
  },
  /** 导入RF卷 */
  importRfPaper: {
    // url: '/api/reference/paper/import/rf',
    url: '/api/reference/paper/import',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
    timeout: 0,
  },
  importCheck: '/api/reference/paper/import/check',
  /** CET成绩列表 */
  getCetScoreList: '/api/student/page',
  /** CET成绩导出接口 */
  exportCetScoreList: '/api/student/export',
  // exportCetScoreList: {
  //   url: '/api/student/export',
  //   download: true,
  //   timeout: 0,
  // },
  /**删除单条导入导出的记录 */
  removeImportOrExport: '/api/operate/task/remove',
  /** 导入导出记录 */
  imortAndExportList: '/api/operate/task/page',
  /** 任务设置 - 按评卷员设置 */
  markerSetCount: {
    url: '/api/user/marker/add/count',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 任务设置 - 按小组追加 */
  markGroupUpdateCount: '/api/user/marker/update/count',
  /** 任务设置-获取任务计划 */
  getTaskDetail: '/api/mark/task/count/datail',
  /** 任务设置-获取剩余任务 */
  getUnMarkTasks: '/api/mark/task/count/unmark',
  /** 考生数据导入状态 */
  getStudentImportStatus: '/api/student/import/status',
}

export default SystemApi
