/** 角色 */
export const ROLE: Record<Exclude<ROLE, 'ADMIN'>, string> = {
  // ADMIN: '超级管理员',
  CHIEF: '大组长',
  DEPUTY: '小组长',
  MARKER: '评卷员',
  SECTION_LEADER: '科组长',
  EXPERT: '专家',
}

export const ROLE_OPTION = Object.entries(ROLE).map(([value, label]) => ({ value, label }))

/** 启用/禁用 状态 */
export const StatusMap = [
  { label: '启用', value: true },
  { label: '禁用', value: false },
]

/** 是/否  */
export const TrueOrFalse = [
  { label: '是', value: true },
  { label: '否', value: false },
]

/** 分析计算取值  */
export const scoreEffectiveOption = [
  { label: '按最终成绩计算', value: 'FINAL_MARK' },
  { label: '按一评给分计算', value: 'FIRST_MARK' },
]

/** 试卷类型 */

export const PaperMap: Record<PaperType, string> = {
  FORCE: '考核卷',
  MARK_STANDARD: '给分标准',
  RF: 'RF卷',
  SAMPLE_A: '培训A卷',
  SAMPLE_B: '培训B卷',
  STANDARD: '标准卷',
}

/** 是/否  */
export const TaskTypeOption = [
  { label: '全部', value: '' },
  { label: 'CET成绩导出', value: 'CET_SCORE_EXPORT' },
  { label: '考生导入', value: 'STUDENT_IMPORT' },
  { label: '用户姓名导入', value: 'USER_NAME_IMPORT' },
  { label: '人机仲裁大题任务同步', value: 'ARBITRATION_TASK_SYNC' },
]
