import type { RouteRecordRaw } from 'vue-router'
import MainLayout from '@/layout/main/index.vue'
/** 决策分析*/
const routes: RouteRecordRaw[] = [
  {
    name: 'Analysis',
    path: '/analysis',
    component: MainLayout,
    // redirect: '/analysis/monitoring',
    meta: {
      label: '决策分析',
      menu: true,
      menuId: 'analysis',
      icon: 'nav-analysis',
      sort: 1,
    },
    children: [
      {
        name: 'AnalysisNav',
        path: '',
        component: () => import('@/modules/analysis/nav/index.vue'),
      },
      {
        name: 'AnalysisMonitoring',
        path: 'monitoring',
        component: () => import('@/modules/analysis/monitoring/index.vue'),
        meta: {
          label: '监控',
          menu: true,
          menuId: 'analysis-monitoring',
          sort: 1,
        },
      },
      {
        name: 'AnalysisStatistics',
        path: 'statistics',
        component: () => import('@/modules/analysis/statistics/index.vue'),
        meta: {
          label: '统计',
          menu: true,
          menuId: 'analysis-statistics',
          sort: 2,
        },
      },
      {
        name: 'AnalysisPersonnelStatistics',
        path: 'personnel-statistics',
        component: () => import('@/modules/analysis/personnel-statistics/index.vue'),
        meta: {
          label: '人员数据统计',
          menu: true,
          menuId: 'analysis-personnel_statistics',
          sort: 3,
        },
      },
      {
        name: 'AnalysisPersonnelCompare',
        path: 'personnel-compare',
        component: () => import('@/modules/analysis/personnel-compare/index.vue'),
        meta: {
          label: '人员对比',
          menu: true,
          menuId: 'analysis-personnel_compare',
          sort: 4,
        },
      },
      {
        name: 'AnalysisMarkingProgress',
        path: 'marking-progress',
        component: () => import('@/modules/analysis/marking-progress/index.vue'),
        meta: {
          label: '评卷进度统计',
          menu: true,
          menuId: 'analysis-marking_progress',
          sort: 5,
        },
      },
      {
        name: 'AnalysisGroupMonitoring',
        path: 'group-monitoring',
        component: () => import('@/modules/analysis/group-monitoring/index.vue'),
        meta: {
          label: '组长监控',
          menu: true,
          menuId: 'analysis-group_monitoring',
          sort: 6,
        },
      },
    ],
  },
  {
    name: 'AnalysisPersonnelStatisticsMarker',
    path: '/analysis/marker-statistics',
    component: () => import('@/modules/analysis/marker-statistics/index.vue'),
    meta: {
      label: '评卷员明细统计',
      menu: false,
      menuId: 'analysis-personnel_statistics-marker',
    },
  },
  {
    name: 'AnalysisGroupDetail',
    path: '/analysis/group-detail',
    component: () => import('@/modules/analysis/group-monitoring-detail/index.vue'),
    meta: {
      label: '小组监控抽查详情',
      menu: false,
      menuId: 'analysis-group_monitoring-detail',
    },
  },
  {
    name: 'AnalysisViewMarked',
    path: '/analysis/view-marked/:markerId',
    props: true,
    component: () => import('@/modules/analysis/view-marked-detail/index.vue'),
    meta: {
      label: '提取阅卷明细',
      menu: false,
      menuId: 'analysis-personnel_statistics-marker-detail',
    },
  },
]

export default routes
