import type { RouteRecordRaw } from 'vue-router'
import Bootstrap from '@/layout/bootstrap/index.vue'

const routes: RouteRecordRaw[] = [
  {
    name: 'Bootstrap',
    path: '/',
    component: Bootstrap,
    redirect: '/login',
    // redirect: '/analysis',
    children: [
      {
        name: 'Login',
        path: 'login',
        component: () => import('@/modules/bootstrap/login/index.vue'),
      },
      {
        name: 'InitUserName',
        path: 'init-name',
        component: () => import('@/modules/bootstrap/init-name/index.vue'),
      },
      {
        name: 'CheckExam',
        path: 'check-exam',
        component: () => import('@/modules/bootstrap/check-exam/index.vue'),
      },
      {
        name: 'InitCreateExam',
        path: 'create-exam',
        component: () => import('@/modules/admin-exam/edit-exam/index.vue'),
      },
      {
        name: 'ChangePassword',
        path: 'change-password',
        component: () => import('@/modules/bootstrap/change-password/index.vue'),
      },
    ],
  },
]

export default routes
