import type { RouteRecordRaw } from 'vue-router'
import MainLayout from '@/layout/main/index.vue'
/** 示例 */
const routes: RouteRecordRaw[] = [
  {
    name: 'Example',
    path: '/example',
    component: MainLayout,
    meta: {
      label: '示例',
      menu: true,
      menuId: 'example',
    },
    children: [
      {
        name: 'ExampleIcon',
        path: 'icons',
        component: () => import('@/modules/example/Icon.vue'),
        meta: {
          label: '图标预览',
          auth: false,
          menu: true,
          menuId: 'example-icons',
        },
      },
      {
        name: 'ExampleImage',
        path: 'images',
        component: () => import('@/modules/example/Image.vue'),
        meta: {
          label: '图片预览',
          auth: false,
          menu: true,
          menuId: 'example-images',
        },
      },
      {
        name: 'ExampleComponent',
        path: 'components',
        component: () => import('@/modules/example/Components.vue'),
        meta: {
          label: '组件预览',
          auth: false,
          menu: true,
          menuId: 'example-components',
        },
      },
      {
        name: 'ExampleImageModify',
        path: 'image-modify',
        component: () => import('@/modules/example/ImageModify.vue'),
        meta: {
          auth: false,
          label: '更换图片背景色',
          menu: true,
          menuId: 'example-image_modify',
        },
      },
    ],
  },
]

export default routes
