import type { RouteRecordRaw } from 'vue-router'
import MainLayout from '@/layout/main/index.vue'
/** 专家卷浏览 */
const routes: RouteRecordRaw[] = [
  {
    name: 'Expert',
    path: '/expert',
    component: MainLayout,
    redirect: '/expert/nav',
    meta: {
      label: '专家卷浏览',
      menu: true,
      menuId: 'expert',
      icon: 'nav-expert',
      sort: 5,
    },
    children: [
      {
        name: 'ExpertNav',
        // path: 'nav',
        path: '',
        component: () => import('@/modules/expert/nav/index.vue'),
        meta: {
          label: '专家卷浏览导航',
          menu: false,
          menuId: 'expert-nav',
        },
      },
      {
        name: 'ExpertMarkStandard',
        path: '/expert/mark_standard',
        component: () => import('@/modules/marking/marking-standard/index.vue'),
        meta: {
          label: '评分标准',
          menu: true,
          menuId: 'expert-mark_standard',
          sort: 6,
        },
      },
    ],
  },

  {
    name: 'ExpertSample',
    path: '/expert/sample',
    component: () => import('@/modules/expert/sample/index.vue'),
    meta: {
      label: 'RF卷',
      menu: true,
      menuId: 'expert-rf',
      sort: 1,
    },
  },
  {
    name: 'ExpertStandard',
    path: '/expert/standard',
    component: () => import('@/modules/expert/standard/index.vue'),
    meta: {
      label: '标准卷',
      menu: true,
      menuId: 'expert-standard',
      sort: 2,
    },
  },
  {
    name: 'ExpertAssess',
    path: '/expert/assess',
    component: () => import('@/modules/expert/assess/index.vue'),
    meta: {
      label: '强制考核卷',
      menu: true,
      menuId: 'expert-assess',
      sort: 3,
    },
  },
  {
    name: 'ExpertTraining',
    path: '/expert/training',
    component: () => import('@/modules/expert/training/index.vue'),
    meta: {
      label: 'AB培训卷',
      menu: true,
      menuId: 'expert-training',
      sort: 4,
    },
  },
  {
    name: 'ExpertExpert',
    path: '/expert/expert',
    component: () => import('@/modules/expert/expert/index.vue'),
    meta: {
      label: '专家挑选卷',
      menu: true,
      menuId: 'expert-expert',
      sort: 5,
    },
  },
]

export default routes
