import type { RouteRecordRaw } from 'vue-router'
import MainLayout from '@/layout/main/index.vue'
/** 培训监控 */
const routes: RouteRecordRaw[] = [
  {
    name: 'Training',
    path: '/training',
    component: MainLayout,
    redirect: '/training/monitoring',
    meta: {
      label: '培训监控',
      menu: true,
      menuId: 'training',
      icon: 'nav-training',
      sort: 2,
    },
    children: [
      {
        name: 'TrainingMonitoring',
        path: 'monitoring',
        component: () => import('@/modules/monitor/training-monitoring/index.vue'),
        meta: {
          label: '培训监控',
          menu: false,
          menuId: 'training-monitoring',
        },
      },
    ],
  },
  {
    name: 'TrainingDetail',
    path: '/training-detail',
    component: () => import('@/modules/monitor/training-monitoring-detail/index.vue'),
    meta: {
      label: '培训监控-调卷详情',
      menu: false,
      menuId: 'training-detail',
    },
  },
]

export default routes
