import type { RouteRecordRaw } from 'vue-router'
import MainLayout from '@/layout/main/index.vue'
/** 质量统计 */
const routes: RouteRecordRaw[] = [
  {
    name: 'Quality',
    path: '/quality',
    component: MainLayout,
    meta: {
      label: '质量统计',
      menu: true,
      menuId: 'quality',
      icon: 'nav-quality',
      sort: 6,
    },
    children: [
      {
        name: 'QualityNav',
        path: '',
        component: () => import('@/modules/quality/nav/index.vue'),
      },
      {
        name: 'QualitySelfCheck',
        path: 'self-check',
        component: () => import('@/modules/quality/self-check/index.vue'),
        meta: {
          label: '自查一致性分析',
          menu: true,
          menuId: 'quality-self_check',
          sort: 1,
        },
      },
      {
        name: 'QualityEndingCheck',
        path: 'ending-check',
        component: () => import('@/modules/quality/ending-check/index.vue'),
        meta: {
          label: '科目进度收尾检查',
          menu: true,
          menuId: 'quality-ending_check',
          sort: 3,
        },
      },
      {
        name: 'QualitySpotCheck',
        path: 'spot-check',
        component: () => import('@/modules/quality/spot-check/index.vue'),
        meta: {
          label: '抽查情况统计',
          menu: true,
          menuId: 'quality-spot_check',
          sort: 4,
        },
      },
    ],
  },
  {
    name: 'QualitySubjectiveCheck',
    path: '/subjective-check',
    component: () => import('@/modules/quality/subjective-check/index.vue'),
    meta: {
      label: '主观题校验',
      menu: true,
      menuId: 'quality-subjective_check',
      sort: 2,
    },
  },
  {
    name: 'QualityAiCheck',
    path: '/quality/ai-check',
    component: () => import('@/modules/quality/ai-check/index.vue'),
    meta: {
      label: '人机异常确认',
      menu: true,
      menuId: 'quality-ai_check',
      sort: 5,
    },
  },
  {
    name: 'QualitySelfCheckDetail',
    path: '/self-check-detail',
    component: () => import('@/modules/quality/self-check-detail/index.vue'),
    meta: {
      label: '自查数据详情',
      menu: false,
      menuId: 'quality-self_check-detail',
    },
  },
]

export default routes
